#!/bin/sh

# The type of event (deconfig, bound, renew, release, leasefail) is passed as an argument.
#  other information passed by environment

case "$1" in "bound")

# set address of br1  
logger -t $0 "interface=$interface ip=$ip subnet=$subnet broadcast=$broadcast $1"
logger -t $0 "interface=$interface hostname=$hostname lease=$lease dns=$dns router=$router"
ifconfig $interface $ip netmask $subnet broadcast $broadcast
;;
"renew")
logger -t $0 "interface=$interface ip=$ip subnet=$subnet lease time=$lease $1"
#
;;
"deconfig")
# resetting IP mask to 0.0.0.0
# resetting IP address to 169.254.0.0
logger -t $0 "interface=$interface $1"
ifconfig $interface 169.254.0.254 netmask 0.0.0.0 broadcast 255.255.255.255
#
;;
*)
logger -t $0 "$1 not expected"
set > /tmp/udhcpc_br1.unexpected.txt
;;
esac
#
